Skip to main content
GET
/
compliance
/
alerts
curl -X GET "https://demo.api.vultlocal.com/api/v1/compliance/alerts?status=open&limit=20" \
  -H "Authorization: Bearer olive_live_xxx"
{
  "alerts": [
    {
      "id": 101,
      "subscriber_id": "sub_abc123",
      "alert_type": "VELOCITY_LIMIT",
      "severity": "HIGH",
      "details": "10 transactions in 5 minutes",
      "status": "open",
      "created_at": "2025-01-20T10:00:00Z"
    }
  ],
  "total": 1,
  "limit": 20,
  "offset": 0
}

Request

Authorization
string
required
Bearer olive_live_xxx (Compliance Officer/Admin)

Query Parameters

status
string
Filter: open, investigating, resolved, false_positive
limit
integer
default:"50"
Page size
offset
integer
default:"0"
Pagination offset

Response

alerts
array
List of alert objects
total
integer
Total count

Examples

curl -X GET "https://demo.api.vultlocal.com/api/v1/compliance/alerts?status=open&limit=20" \
  -H "Authorization: Bearer olive_live_xxx"
{
  "alerts": [
    {
      "id": 101,
      "subscriber_id": "sub_abc123",
      "alert_type": "VELOCITY_LIMIT",
      "severity": "HIGH",
      "details": "10 transactions in 5 minutes",
      "status": "open",
      "created_at": "2025-01-20T10:00:00Z"
    }
  ],
  "total": 1,
  "limit": 20,
  "offset": 0
}

Authorizations

Authorization
string
header
required

API Key for third-party integrations (WhatsApp, Smart PAY, VULT). Format: 'Bearer olive_live_xxxxxxxxxxxxx'

Query Parameters

subscriber_id
string

Filter by subscriber ID

status
string

Filter by status (open/investigating/resolved/false_positive)

limit
integer
default:50

Limit number of results

offset
integer
default:0

Offset for pagination

Response

OK

The response is of type object.